shiro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brian Demers (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (SHIRO-576) Commons-beanutils dependency is not security compliant
Date Wed, 28 Sep 2016 13:16:20 GMT

     [ https://issues.apache.org/jira/browse/SHIRO-576?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Brian Demers resolved SHIRO-576.
--------------------------------
       Resolution: Fixed
    Fix Version/s: 1.3.3

> Commons-beanutils dependency is not security compliant
> ------------------------------------------------------
>
>                 Key: SHIRO-576
>                 URL: https://issues.apache.org/jira/browse/SHIRO-576
>             Project: Shiro
>          Issue Type: Bug
>    Affects Versions: 1.3.0
>            Reporter: schnatterer
>             Fix For: 1.3.3
>
>
> Commons-beanutils v 1.8.0 dependency is not security compliant. Has issue [CVE-2014-0114|https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-0114].
> Note that current version commons-beanutils 1.9.2 in turn has a CVE in its dependency
commons-collections ([CVE-2015-6420|https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-6420],
see [BEANUTILS-488|https://issues.apache.org/jira/browse/BEANUTILS-488]), which is fixed in
1.9.3.
> In addition, consider including the [OWASP Dependency Check|https://www.owasp.org/index.php/OWASP_Dependency_Check]
to the build to find out about CVEs in dependencies faster.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message